// TPMS
export function build_position(axle, tire) {
	let axle_b = Number(axle).toString(2)
	axle_b = axle_b.padStart(4, "0")
	let tire_b = Number(tire).toString(2)
	tire_b = tire_b.padStart(4, "0")
	let position = `${parseInt(axle_b + tire_b, 2)}`
	return position.padStart(3, "0")
}
export function provisioning(value) {
	let result = []
	let tokens = value.split(';')

	let axles = new Set()
	for (const token of tokens) {
		let [axle, tire, value] = token.split(",")
		axles.add(axle)
		let position = build_position(axle, tire)
		result.push(`${position}${Number(value).toFixed(0)}`)
	}
	let p_axles = axles.size.toString().padStart(2, '0')
	let p_tires = tokens.length.toString().padStart(2, '0')
	result.unshift(`00${p_axles}${p_tires}`)
	return result.join(",")
}
export function temperature(value) {
	let result = []
	let tokens = value.split(';')
	for (token of tokens) {
		let [axle, tire, value] = token.split(",")
		let position = build_position(axle, tire)
		value = Number(value)
		result.push(`${position}${value.toFixed(0)}`)
	}
	return result.join(",")
}
export function pressure(value) {
	let result = []
	let tokens = value.split(';')
	for (const token of tokens) {
		let [axle, tire, value] = token.split(",")
		let position = build_position(axle, tire)
		value = Number(value) / 6.89476
		result.push(`${position}${value.toFixed(0)}`)
	}
	return result.join(",")
}
export function get_default(value) {
	let result = []
	let tokens = value.split(';')
	for (const token of tokens) {
		let [axle, tire, value] = token.split(",")
		let position = build_position(axle, tire)
		value = Number(value)
		result.push(`${position}${value.toFixed(0)}`)
	}
	return result.join(",")
}
